ServerEvents.recipes(event => {

//Glass Dying

//Beveled Glass_black
  event.shapeless(
    Item.of('kubejs:black_beveled_glass', 8),
    [
      '1x minecraft:black_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_blue
  event.shapeless(
    Item.of('kubejs:blue_beveled_glass', 8),
    [
      '1x minecraft:blue_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_brown
  event.shapeless(
    Item.of('kubejs:brown_beveled_glass', 8),
    [
      '1x minecraft:brown_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_cyan
  event.shapeless(
    Item.of('kubejs:cyan_beveled_glass', 8),
    [
      '1x minecraft:cyan_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_gray
  event.shapeless(
    Item.of('kubejs:gray_beveled_glass', 8),
    [
      '1x minecraft:gray_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_green
  event.shapeless(
    Item.of('kubejs:green_beveled_glass', 8),
    [
      '1x minecraft:green_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_lightblue
  event.shapeless(
    Item.of('kubejs:light_blue_beveled_glass', 8),
    [
      '1x minecraft:light_blue_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_lightgray
  event.shapeless(
    Item.of('kubejs:light_gray_beveled_glass', 8),
    [
      '1x minecraft:light_gray_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_lime
  event.shapeless(
    Item.of('kubejs:lime_beveled_glass', 8),
    [
      '1x minecraft:lime_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_magenta
  event.shapeless(
    Item.of('kubejs:magenta_beveled_glass', 8),
    [
      '1x minecraft:magenta_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_orange
  event.shapeless(
    Item.of('kubejs:orange_beveled_glass', 8),
    [
      '1x minecraft:orange_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_pink
  event.shapeless(
    Item.of('kubejs:pink_beveled_glass', 8),
    [
      '1x minecraft:pink_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_purple
  event.shapeless(
    Item.of('kubejs:purple_beveled_glass', 8),
    [
      '1x minecraft:purple_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_red
  event.shapeless(
    Item.of('kubejs:red_beveled_glass', 8),
    [
      '1x minecraft:red_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_white
  event.shapeless(
    Item.of('kubejs:white_beveled_glass', 8),
    [
      '1x minecraft:white_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Beveled Glass_yellow
  event.shapeless(
    Item.of('kubejs:yellow_beveled_glass', 8),
    [
      '1x minecraft:yellow_dye',
	  '8x kubejs:beveled_glass'
    ]
  ),
//Framed Glass_black
  event.shapeless(
    Item.of('kubejs:black_framed_glass', 8),
    [
      '1x minecraft:black_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_blue
  event.shapeless(
    Item.of('kubejs:blue_framed_glass', 8),
    [
      '1x minecraft:blue_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_brown
  event.shapeless(
    Item.of('kubejs:brown_framed_glass', 8),
    [
      '1x minecraft:brown_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_cyan
  event.shapeless(
    Item.of('kubejs:cyan_framed_glass', 8),
    [
      '1x minecraft:cyan_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_gray
  event.shapeless(
    Item.of('kubejs:gray_framed_glass', 8),
    [
      '1x minecraft:gray_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_green
  event.shapeless(
    Item.of('kubejs:green_framed_glass', 8),
    [
      '1x minecraft:green_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_lightblue
  event.shapeless(
    Item.of('kubejs:light_blue_framed_glass', 8),
    [
      '1x minecraft:light_blue_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_lightgray
  event.shapeless(
    Item.of('kubejs:light_gray_framed_glass', 8),
    [
      '1x minecraft:light_gray_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_lime
  event.shapeless(
    Item.of('kubejs:lime_framed_glass', 8),
    [
      '1x minecraft:lime_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_magenta
  event.shapeless(
    Item.of('kubejs:magenta_framed_glass', 8),
    [
      '1x minecraft:magenta_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_orange
  event.shapeless(
    Item.of('kubejs:orange_framed_glass', 8),
    [
      '1x minecraft:orange_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_pink
  event.shapeless(
    Item.of('kubejs:pink_framed_glass', 8),
    [
      '1x minecraft:pink_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_purple
  event.shapeless(
    Item.of('kubejs:purple_framed_glass', 8),
    [
      '1x minecraft:purple_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_red
  event.shapeless(
    Item.of('kubejs:red_framed_glass', 8),
    [
      '1x minecraft:red_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_white
  event.shapeless(
    Item.of('kubejs:white_framed_glass', 8),
    [
      '1x minecraft:white_dye',
	  '8x kubejs:framed_glass'
    ]
  ),
//Framed Glass_yellow
  event.shapeless(
    Item.of('kubejs:yellow_framed_glass', 8),
    [
      '1x minecraft:yellow_dye',
	  '8x kubejs:framed_glass'
    ]
  )
})